#include <iostream>
#include <vector>
using std::cin; using std::cout;
int main() {
    int T;  std::vector<std::string> TakNie;
    cin >> T;
    for(int i = 0; i < T; i++) { 
        int N; int M; int K;
        cin >> N >> M >> K;
        int ostalo_ucenika = N % K;
        int u_jednoj_grupi = N / K;
        int bananica = ((((u_jednoj_grupi + 1) * (u_jednoj_grupi + 2))/2)*ostalo_ucenika)+((u_jednoj_grupi*(u_jednoj_grupi+1))/2) * (K - ostalo_ucenika);
        if (bananica <= M){
            TakNie.push_back("Tak");
        }
        else{
            TakNie.push_back("Nie");
        }
    }
    for(int j = 0; j < T; j++){
        cout << TakNie[j] << "\n";
    }
}